---
triple:          'arm64-apple-darwin'
binary-path:     '/Users/jenkins/workspace/Build_JDK25_aarch64_mac_Nightly/build/macosx-aarch64-server-release/support/test/hotspot/jtreg/native/lib/libCallbacks.dylib'
relocations:
  - { offsetInCU: 0x52, offset: 0x52, size: 0x8, addend: 0x0, symName: _nsk_jvmti_waitForSync, symObjAddr: 0x3264, symBinAddr: 0x3160, symSize: 0x270 }
  - { offsetInCU: 0xAAE, offset: 0xAAE, size: 0x8, addend: 0x0, symName: _g_szTagInfo, symObjAddr: 0x511D0, symBinAddr: 0xC2F0, symSize: 0x0 }
  - { offsetInCU: 0xAD5, offset: 0xAD5, size: 0x8, addend: 0x0, symName: _g_tagFlags, symObjAddr: 0x53110, symBinAddr: 0xE230, symSize: 0x0 }
  - { offsetInCU: 0xAF7, offset: 0xAF7, size: 0x8, addend: 0x0, symName: _g_tagVisitCount, symObjAddr: 0x534F8, symBinAddr: 0xE618, symSize: 0x0 }
  - { offsetInCU: 0xB19, offset: 0xB19, size: 0x8, addend: 0x0, symName: _g_refsToVerifyCnt, symObjAddr: 0x54498, symBinAddr: 0xF5B8, symSize: 0x0 }
  - { offsetInCU: 0xB2E, offset: 0xB2E, size: 0x8, addend: 0x0, symName: _g_refsToVerify, symObjAddr: 0x544A0, symBinAddr: 0xF5C0, symSize: 0x0 }
  - { offsetInCU: 0xBA9, offset: 0xBA9, size: 0x8, addend: 0x0, symName: __ZL11nsk_context.0, symObjAddr: 0x50DE0, symBinAddr: 0xC148, symSize: 0x0 }
  - { offsetInCU: 0xBB4, offset: 0xBB4, size: 0x8, addend: 0x0, symName: __ZL11nsk_context.1, symObjAddr: 0x50DE4, symBinAddr: 0xC14C, symSize: 0x0 }
  - { offsetInCU: 0xBBF, offset: 0xBBF, size: 0x8, addend: 0x0, symName: __ZL11nsk_context.2, symObjAddr: 0x50DE8, symBinAddr: 0xC150, symSize: 0x0 }
  - { offsetInCU: 0xC04, offset: 0xC04, size: 0x8, addend: 0x0, symName: __ZL7context, symObjAddr: 0x50F38, symBinAddr: 0xC158, symSize: 0x0 }
  - { offsetInCU: 0xC7D, offset: 0xC7D, size: 0x8, addend: 0x0, symName: __ZL17redefineAttempted, symObjAddr: 0x50FF0, symBinAddr: 0xC210, symSize: 0x0 }
  - { offsetInCU: 0xC9B, offset: 0xC9B, size: 0x8, addend: 0x0, symName: __ZL15redefineSucceed, symObjAddr: 0x50FF4, symBinAddr: 0xC214, symSize: 0x0 }
  - { offsetInCU: 0xCB4, offset: 0xCB4, size: 0x8, addend: 0x0, symName: __ZL11agentFailed, symObjAddr: 0x50FF8, symBinAddr: 0xC218, symSize: 0x0 }
  - { offsetInCU: 0xCCD, offset: 0xCCD, size: 0x8, addend: 0x0, symName: __ZL18currentAgentStatus, symObjAddr: 0x50FFC, symBinAddr: 0xC21C, symSize: 0x0 }
  - { offsetInCU: 0xCE6, offset: 0xCE6, size: 0x8, addend: 0x0, symName: __ZL9jvmti_env, symObjAddr: 0x51000, symBinAddr: 0xC220, symSize: 0x0 }
  - { offsetInCU: 0x92AC, offset: 0x92AC, size: 0x8, addend: 0x0, symName: __ZL10agent_data, symObjAddr: 0x51008, symBinAddr: 0xC228, symSize: 0x0 }
  - { offsetInCU: 0x9335, offset: 0x9335, size: 0x8, addend: 0x0, symName: __ZL3jvm, symObjAddr: 0x51018, symBinAddr: 0xC238, symSize: 0x0 }
  - { offsetInCU: 0x934E, offset: 0x934E, size: 0x8, addend: 0x0, symName: __ZL7jni_env, symObjAddr: 0x51020, symBinAddr: 0xC240, symSize: 0x0 }
  - { offsetInCU: 0x9367, offset: 0x9367, size: 0x8, addend: 0x0, symName: __ZL15agentThreadProc, symObjAddr: 0x51028, symBinAddr: 0xC248, symSize: 0x0 }
  - { offsetInCU: 0x9380, offset: 0x9380, size: 0x8, addend: 0x0, symName: __ZL14agentThreadArg, symObjAddr: 0x51030, symBinAddr: 0xC250, symSize: 0x0 }
  - { offsetInCU: 0x9399, offset: 0x9399, size: 0x8, addend: 0x0, symName: __ZL11agentThread, symObjAddr: 0x51038, symBinAddr: 0xC258, symSize: 0x0 }
  - { offsetInCU: 0x93B3, offset: 0x93B3, size: 0x8, addend: 0x0, symName: __ZL16checkStatus_func, symObjAddr: 0x51040, symBinAddr: 0xC260, symSize: 0x0 }
  - { offsetInCU: 0x9499, offset: 0x9499, size: 0x8, addend: 0x0, symName: __ZL13BOOLEAN_ARRAY, symObjAddr: 0xF21E, symBinAddr: 0xC0A6, symSize: 0x0 }
  - { offsetInCU: 0x94BE, offset: 0x94BE, size: 0x8, addend: 0x0, symName: __ZL10CHAR_ARRAY, symObjAddr: 0xF224, symBinAddr: 0xC0AC, symSize: 0x0 }
  - { offsetInCU: 0x94E3, offset: 0x94E3, size: 0x8, addend: 0x0, symName: __ZL10BYTE_ARRAY, symObjAddr: 0xF22E, symBinAddr: 0xC0B6, symSize: 0x0 }
  - { offsetInCU: 0x9508, offset: 0x9508, size: 0x8, addend: 0x0, symName: __ZL11SHORT_ARRAY, symObjAddr: 0xF234, symBinAddr: 0xC0BC, symSize: 0x0 }
  - { offsetInCU: 0x952D, offset: 0x952D, size: 0x8, addend: 0x0, symName: __ZL9INT_ARRAY, symObjAddr: 0xF240, symBinAddr: 0xC0C8, symSize: 0x0 }
  - { offsetInCU: 0x9552, offset: 0x9552, size: 0x8, addend: 0x0, symName: __ZL10LONG_ARRAY, symObjAddr: 0xF258, symBinAddr: 0xC0E0, symSize: 0x0 }
  - { offsetInCU: 0x9577, offset: 0x9577, size: 0x8, addend: 0x0, symName: __ZL11FLOAT_ARRAY, symObjAddr: 0xF280, symBinAddr: 0xC108, symSize: 0x0 }
  - { offsetInCU: 0x959C, offset: 0x959C, size: 0x8, addend: 0x0, symName: __ZL12DOUBLE_ARRAY, symObjAddr: 0xF298, symBinAddr: 0xC120, symSize: 0x0 }
  - { offsetInCU: 0x95C1, offset: 0x95C1, size: 0x8, addend: 0x0, symName: __ZL12objects_info, symObjAddr: 0x51088, symBinAddr: 0xC268, symSize: 0x0 }
  - { offsetInCU: 0x9680, offset: 0x9680, size: 0x8, addend: 0x0, symName: __ZL7timeout, symObjAddr: 0x51108, symBinAddr: 0xC2E8, symSize: 0x0 }
  - { offsetInCU: 0x96D2, offset: 0x96D2, size: 0x8, addend: 0x0, symName: _nsk_vprintf, symObjAddr: 0x358, symBinAddr: 0x2124, symSize: 0xA0 }
  - { offsetInCU: 0x9767, offset: 0x9767, size: 0x8, addend: 0x0, symName: _nsk_printf, symObjAddr: 0x330, symBinAddr: 0x20FC, symSize: 0x28 }
  - { offsetInCU: 0x97CA, offset: 0x97CA, size: 0x8, addend: 0x0, symName: _nsk_ldisplay, symObjAddr: 0x29C, symBinAddr: 0x207C, symSize: 0x80 }
  - { offsetInCU: 0x9A5E, offset: 0x9A5E, size: 0x8, addend: 0x0, symName: _nsk_complain, symObjAddr: 0x3F8, symBinAddr: 0x21C4, symSize: 0x34 }
  - { offsetInCU: 0x9AB8, offset: 0x9AB8, size: 0x8, addend: 0x0, symName: _nsk_lvcomplain, symObjAddr: 0x42C, symBinAddr: 0x21F8, symSize: 0x20C }
  - { offsetInCU: 0x9C71, offset: 0x9C71, size: 0x8, addend: 0x0, symName: _nsk_lcomplain, symObjAddr: 0x638, symBinAddr: 0x2404, symSize: 0x28 }
  - { offsetInCU: 0x9D3A, offset: 0x9D3A, size: 0x8, addend: 0x0, symName: _nsk_ltrace, symObjAddr: 0x674, symBinAddr: 0x242C, symSize: 0xB0 }
  - { offsetInCU: 0x9E31, offset: 0x9E31, size: 0x8, addend: 0x0, symName: _nsk_lverify, symObjAddr: 0x7DC, symBinAddr: 0x24DC, symSize: 0xD8 }
  - { offsetInCU: 0x9F82, offset: 0x9F82, size: 0x8, addend: 0x0, symName: __Z14TranslateError10jvmtiError, symObjAddr: 0x11F8, symBinAddr: 0x25B4, symSize: 0x24 }
  - { offsetInCU: 0xA065, offset: 0xA065, size: 0x8, addend: 0x0, symName: __Z23nsk_jni_check_exceptionP7JNIEnv_PKci, symObjAddr: 0x16E4, symBinAddr: 0x25D8, symSize: 0x168 }
  - { offsetInCU: 0xA241, offset: 0xA241, size: 0x8, addend: 0x0, symName: __Z15nsk_jni_lverifyiP7JNIEnv_iPKciS2_z, symObjAddr: 0x184C, symBinAddr: 0x2740, symSize: 0x104 }
  - { offsetInCU: 0xA4F2, offset: 0xA4F2, size: 0x8, addend: 0x0, symName: _nsk_jvmti_parseOptions, symObjAddr: 0x1C2C, symBinAddr: 0x2844, symSize: 0x3F8 }
  - { offsetInCU: 0xA716, offset: 0xA716, size: 0x8, addend: 0x0, symName: _nsk_jvmti_lverify, symObjAddr: 0x22EC, symBinAddr: 0x2C3C, symSize: 0x154 }
  - { offsetInCU: 0xA8FA, offset: 0xA8FA, size: 0x8, addend: 0x0, symName: _Java_nsk_share_jvmti_ArgumentHandler_getAgentOptionsString, symObjAddr: 0x2440, symBinAddr: 0x2D90, symSize: 0xAC }
  - { offsetInCU: 0xA9CF, offset: 0xA9CF, size: 0x8, addend: 0x0, symName: _Java_nsk_share_jvmti_RedefineAgent_redefineAttempted, symObjAddr: 0x278C, symBinAddr: 0x2E3C, symSize: 0x14 }
  - { offsetInCU: 0xAA08, offset: 0xAA08, size: 0x8, addend: 0x0, symName: _Java_nsk_share_jvmti_RedefineAgent_isRedefined, symObjAddr: 0x27A0, symBinAddr: 0x2E50, symSize: 0x14 }
  - { offsetInCU: 0xAA41, offset: 0xAA41, size: 0x8, addend: 0x0, symName: _Java_nsk_share_jvmti_RedefineAgent_agentStatus, symObjAddr: 0x27B4, symBinAddr: 0x2E64, symSize: 0x14 }
  - { offsetInCU: 0xABBE, offset: 0xABBE, size: 0x8, addend: 0x0, symName: _nsk_jvmti_resetAgentData, symObjAddr: 0x2F18, symBinAddr: 0x2E78, symSize: 0x1A8 }
  - { offsetInCU: 0xAEC8, offset: 0xAEC8, size: 0x8, addend: 0x0, symName: _nsk_jvmti_createJVMTIEnv, symObjAddr: 0x30C0, symBinAddr: 0x3020, symSize: 0x140 }
  - { offsetInCU: 0xB069, offset: 0xB069, size: 0x8, addend: 0x0, symName: _nsk_jvmti_resumeSync, symObjAddr: 0x34D4, symBinAddr: 0x33D0, symSize: 0x1C0 }
  - { offsetInCU: 0xB346, offset: 0xB346, size: 0x8, addend: 0x0, symName: _Java_nsk_share_jvmti_DebugeeClass_checkStatus, symObjAddr: 0x3694, symBinAddr: 0x3590, symSize: 0x9C }
  - { offsetInCU: 0xB403, offset: 0xB403, size: 0x8, addend: 0x0, symName: __ZL18syncDebuggeeStatusP7JNIEnv_P9_jvmtiEnvi, symObjAddr: 0x3730, symBinAddr: 0x362C, symSize: 0x690 }
  - { offsetInCU: 0xBF95, offset: 0xBF95, size: 0x8, addend: 0x0, symName: __ZN7JNIEnv_9NewObjectEP7_jclassP10_jmethodIDz, symObjAddr: 0xA6D4, symBinAddr: 0x5BC4, symSize: 0x30 }
  - { offsetInCU: 0xC021, offset: 0xC021, size: 0x8, addend: 0x0, symName: _Java_nsk_share_jvmti_DebugeeClass_resetAgentData, symObjAddr: 0x3DC0, symBinAddr: 0x3CBC, symSize: 0x74 }
  - { offsetInCU: 0xC109, offset: 0xC109, size: 0x8, addend: 0x0, symName: _MA_checkStatus, symObjAddr: 0x4AF0, symBinAddr: 0x3D30, symSize: 0xB0 }
  - { offsetInCU: 0xC214, offset: 0xC214, size: 0x8, addend: 0x0, symName: _Java_nsk_jvmti_unit_FollowReferences_FollowRefObjects_resetTags, symObjAddr: 0x576C, symBinAddr: 0x3DE0, symSize: 0x3C }
  - { offsetInCU: 0xC30A, offset: 0xC30A, size: 0x8, addend: 0x0, symName: _Java_nsk_jvmti_unit_FollowReferences_FollowRefObjects_setTag, symObjAddr: 0x57A8, symBinAddr: 0x3E1C, symSize: 0x29C }
  - { offsetInCU: 0xC64D, offset: 0xC64D, size: 0x8, addend: 0x0, symName: _Java_nsk_jvmti_unit_FollowReferences_FollowRefObjects_getTag, symObjAddr: 0x5A44, symBinAddr: 0x40B8, symSize: 0xD0 }
  - { offsetInCU: 0xC77B, offset: 0xC77B, size: 0x8, addend: 0x0, symName: _Java_nsk_jvmti_unit_FollowReferences_FollowRefObjects_resetRefsToVerify, symObjAddr: 0x5B14, symBinAddr: 0x4188, symSize: 0xC }
  - { offsetInCU: 0xC83D, offset: 0xC83D, size: 0x8, addend: 0x0, symName: _Java_nsk_jvmti_unit_FollowReferences_FollowRefObjects_addRefToVerify, symObjAddr: 0x5B20, symBinAddr: 0x4194, symSize: 0x22C }
  - { offsetInCU: 0xCAF8, offset: 0xCAF8, size: 0x8, addend: 0x0, symName: _Agent_OnLoad, symObjAddr: 0x8CC8, symBinAddr: 0x43C0, symSize: 0x4 }
  - { offsetInCU: 0xCB3C, offset: 0xCB3C, size: 0x8, addend: 0x0, symName: _Agent_OnLoad, symObjAddr: 0x8CC8, symBinAddr: 0x43C0, symSize: 0x4 }
  - { offsetInCU: 0xCB55, offset: 0xCB55, size: 0x8, addend: 0x0, symName: _Agent_Initialize, symObjAddr: 0x8CCC, symBinAddr: 0x43C4, symSize: 0x238 }
  - { offsetInCU: 0xCE1C, offset: 0xCE1C, size: 0x8, addend: 0x0, symName: _Agent_OnAttach, symObjAddr: 0x8F04, symBinAddr: 0x45FC, symSize: 0x4 }
  - { offsetInCU: 0xCE60, offset: 0xCE60, size: 0x8, addend: 0x0, symName: _Agent_OnAttach, symObjAddr: 0x8F04, symBinAddr: 0x45FC, symSize: 0x4 }
  - { offsetInCU: 0xCE79, offset: 0xCE79, size: 0x8, addend: 0x0, symName: _is_primitive_type, symObjAddr: 0x8F08, symBinAddr: 0x4600, symSize: 0xC4 }
  - { offsetInCU: 0xCEA2, offset: 0xCEA2, size: 0x8, addend: 0x0, symName: _verify_value, symObjAddr: 0x9034, symBinAddr: 0x46C4, symSize: 0x104 }
  - { offsetInCU: 0xCEEF, offset: 0xCEEF, size: 0x8, addend: 0x0, symName: _field_callback, symObjAddr: 0x9200, symBinAddr: 0x47C8, symSize: 0x108 }
  - { offsetInCU: 0xCF8F, offset: 0xCF8F, size: 0x8, addend: 0x0, symName: _string_callback, symObjAddr: 0x9308, symBinAddr: 0x48D0, symSize: 0x140 }
  - { offsetInCU: 0xD070, offset: 0xD070, size: 0x8, addend: 0x0, symName: _array_callback, symObjAddr: 0x9448, symBinAddr: 0x4A10, symSize: 0x1E0 }
  - { offsetInCU: 0xD143, offset: 0xD143, size: 0x8, addend: 0x0, symName: _heap_callback, symObjAddr: 0x9628, symBinAddr: 0x4BF0, symSize: 0x3C }
  - { offsetInCU: 0xD19C, offset: 0xD19C, size: 0x8, addend: 0x0, symName: _object_free_callback, symObjAddr: 0x9664, symBinAddr: 0x4C2C, symSize: 0xA0 }
  - { offsetInCU: 0xD3F8, offset: 0xD3F8, size: 0x8, addend: 0x0, symName: _tag_objects, symObjAddr: 0x9704, symBinAddr: 0x4CCC, symSize: 0x7CC }
  - { offsetInCU: 0xDEE4, offset: 0xDEE4, size: 0x8, addend: 0x0, symName: _verify_objects, symObjAddr: 0x9FA8, symBinAddr: 0x5498, symSize: 0x150 }
  - { offsetInCU: 0xE061, offset: 0xE061, size: 0x8, addend: 0x0, symName: __ZL5agentP9_jvmtiEnvP7JNIEnv_Pv, symObjAddr: 0xA0F8, symBinAddr: 0x55E8, symSize: 0x5DC }
  - { offsetInCU: 0xE7A3, offset: 0xE7A3, size: 0x8, addend: 0x0, symName: __ZL18agentThreadWrapperP9_jvmtiEnvP7JNIEnv_Pv, symObjAddr: 0xA704, symBinAddr: 0x5BF4, symSize: 0x358 }
...
